KATEDJ(1)

NAME
KateDJ - edits and remixes Kate streams in Ogg

SYNOPSIS
KateDJ [-hV]

DESCRIPTION
KateDJ allows extracting Kate tracks embedded in an Ogg stream, editing them, and rebuilding the Ogg stream after the Kate tracks are modified. KateDJ is a simple GUI program, so usage is UI driven, rather than command line driven. This is a walkthrough of the usual program flow: Select 'Load Ogg stream' to select the Ogg file you want to remix. Select 'Demux file' to extract Kate streams from this file to a temporary directory. Depending on the size of the Ogg file, that step may take a while. A message will then tell you where the temporary files have been placed. All Kate streams will be decoded to a text description and placed in this temporary directory, and a list of them, along with their serial number, language, and category, will be displayed in a list. Those files may then be edited at will, either in the embedded editor by double clicking on the stream in the supplied list, or with your favorite text editor. Any modification may be done, including removing some of those files altogether, or even adding some. However, in order to be recognized, any new files must be named according to the same naming convention as the existing ones. Once the desired modifications are done, select 'Remux file from parts' to attempt to recreate the Ogg stream. If any error occurs (eg, syntax error in the Kate files), a message will inform you. Once the errors are fixed, select 'Remux file from parts' again, until the operation succeeds. The embedded editor can test a modified stream, so it more convenient for quick modifications, while your editor of choice may be more powerful for complex modification.

OPTIONS

-h  Show command line help.

-V  Show version information.

SEE ALSO

katedec(1), kateenc(1), katalyzer(1)